#' eQTL geneset enrichment query demo data
#'
#' Demo Data to show how to perform eQTL-geneset enrichment query. 
#' 
#' 
#' \code{eset.list} A list of eQTLset objects; eQTL data are collected from 
#' GTeX.
#' 
#' \code{biocarta} A Geneset object; Geneset are from Broad Institute's 
#' MSigDB: curated gene set, category 'cp': BIOCARTA
#' 
#' \code{query.gr} A Genomic Region object; Query regions are from 
#' immunoBase, Psoriasis disease.
#'
#' @docType data
#'
#' @usage data(loci2path.demo)
#'
#' @keywords datasets
#'
#' @examples
#' data(loci2path.demo)

"eset.list"


#' eQTL geneset enrichment query demo data
#'
#' Demo Data to show how to perform eQTL-geneset enrichment query. 
#' 
#' 
#' \code{eqtl.set.list} A list of eQTLset objects; eQTL data are collected from
#'  GTeX.
#' 
#' \code{biocarta} A Geneset object; Geneset are from Broad Institute's MSigDB: 
#' curated gene set, category 'cp': BIOCARTA
#' 
#' \code{query.gr} A Genomic Region object; Query regions are from immunoBase, 
#' crohn's disease.
#'
#' @docType data
#'
#' @usage data(loci2path.demo)
#'
#' @keywords datasets
#'
#' @examples
#' data(loci2path.demo)

"biocarta"

#' eQTL geneset enrichment query demo data
#'
#' Demo Data to show how to perform eQTL-geneset enrichment query. 
#' 
#' \code{eqtl.set.list} A list of eQTLset objects; eQTL data are collected from 
#' GTeX.
#' 
#' \code{biocarta} A Geneset object; Geneset are from Broad Institute's MSigDB:
#'  curated gene set, category 'cp': BIOCARTA
#' 
#' \code{query.gr} A Genomic Region object; Query regions are from immunoBase,
#'  crohn's disease.
#'
#' @docType data
#'
#' @usage data(loci2path.demo)
#'
#' @keywords datasets
#'
#' @examples
#' data(loci2path.demo)

"query.gr"
